Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v3
Class FindVtmRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.RequestType
          be.fgov.ehealth.dics.protocol.v3.FindVtmRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-02-02T03:49:17+01:00",
               comments="JAXB RI v2.2.11")
    public class FindVtmRequest

extends RequestType
implements Serializable

Java class for FindVtmRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindVtmRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <choice>
             <element name="FindByTherapeuticMoiety" type="{urn:be:fgov:ehealth:dics:protocol:v3}FindByTherapeuticMoietyType"/>
             <element name="FindByProduct" type="{urn:be:fgov:ehealth:dics:protocol:v3}FindByVirtualProductType"/>
           </choice>
           <attribute ref="{http://www.w3.org/XML/1998/namespace}lang use="required""/>
           <attribute name="SearchDate" type="{http://www.w3.org/2001/XMLSchema}date" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FindVtmRequest()`

Method Summary
`FindByVirtualProductType` | `getFindByProduct()` Gets the value of the findByProduct property.
`FindByTherapeuticMoietyType` | `getFindByTherapeuticMoiety()` Gets the value of the findByTherapeuticMoiety property.
`String` | `getLang()` Gets the value of the lang property.
`org.joda.time.DateTime` | `getSearchDate()` Gets the value of the searchDate property.
`void` | `setFindByProduct(FindByVirtualProductType value)` Sets the value of the findByProduct property.
`void` | `setFindByTherapeuticMoiety(FindByTherapeuticMoietyType value)` Sets the value of the findByTherapeuticMoiety property.
`void` | `setLang(String value)` Sets the value of the lang property.
`void` | `setSearchDate(org.joda.time.DateTime value)` Sets the value of the searchDate property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType
`getId, getIssueInstant, setId, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindVtmRequest

    public FindVtmRequest()

Method Detail

### getFindByProduct

    public FindByVirtualProductType getFindByProduct()

  Gets the value of the findByProduct property.

  Returns:
    possible object is `FindByVirtualProductType`

### setFindByProduct

    public void setFindByProduct(FindByVirtualProductType value)

  Sets the value of the findByProduct property.

  Parameters:
    `value` - allowed object is `FindByVirtualProductType`

### getFindByTherapeuticMoiety

    public FindByTherapeuticMoietyType getFindByTherapeuticMoiety()

  Gets the value of the findByTherapeuticMoiety property.

  Returns:
    possible object is `FindByTherapeuticMoietyType`

### setFindByTherapeuticMoiety

    public void setFindByTherapeuticMoiety(FindByTherapeuticMoietyType value)

  Sets the value of the findByTherapeuticMoiety property.

  Parameters:
    `value` - allowed object is `FindByTherapeuticMoietyType`

### getLang

    public String getLang()

  Gets the value of the lang property.

  Returns:
    possible object is `String`

### setLang

    public void setLang(String value)

  Sets the value of the lang property.

  Parameters:
    `value` - allowed object is `String`

### getSearchDate

    public org.joda.time.DateTime getSearchDate()

  Gets the value of the searchDate property.

  Returns:
    possible object is `String`

### setSearchDate

    public void setSearchDate(org.joda.time.DateTime value)

  Sets the value of the searchDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPODOLOGIST 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.